Name:    xmlstarlet
Version: 1.6.1
Release: %mkrel 8
Summary: Command Line XML Toolkit
Group:   Text tools
License: MIT
URL:     https://xmlstar.sourceforge.net/
Source0: https://downloads.sourceforge.net/xmlstar/%{name}-%{version}.tar.gz
Patch0:  xmlstarlet-1.6.1-configure-version.patch

BuildRequires: xmlto
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(libxml-2.0) >= 2.6.23
BuildRequires: docbook-style-xsl

%description
XMLStarlet is a set of command line utilities which can be used
to transform, query, validate, and edit XML documents and files
using simple set of shell commands in similar way it is done for
plain text files using UNIX grep, sed, awk, diff, patch, join, etc
commands.

%prep
%autosetup -p1

sed -i configure.ac -e "s/@REPLACE_VERSION@/%{version}/"

%build
autoreconf -fi
%configure --disable-static-libs \
	--with-libxml-include-prefix=%{_includedir}/libxml2
%make_build
pushd doc
xmlto man xmlstarlet-man.xml --skip-validation
xmlto html-nochunks xmlstarlet-ug.xml --skip-validation
./gen-doc > xmlstarlet.txt
popd

%install
%make_install
# Avoid name kludging in autotools
mv $RPM_BUILD_ROOT%{_bindir}/xml $RPM_BUILD_ROOT%{_bindir}/xmlstarlet

%files
%doc AUTHORS ChangeLog NEWS README Copyright TODO doc/xmlstarlet.txt doc/xmlstarlet-ug.html
%{_mandir}/man1/xmlstarlet.1*
%{_bindir}/xmlstarlet
%exclude  /usr/share/doc/xmlstarlet/html.css


%changelog
* Tue Nov 03 2020 akien <akien> 1.6.1-8.mga8
+ Revision: 1641954
- Fix compat with latest autoconf, fix version number

* Fri Feb 14 2020 umeabot <umeabot> 1.6.1-7.mga8
+ Revision: 1518823
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.6.1-6.mga7
+ Revision: 1301940
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1.6.1-5.mga6
+ Revision: 963626
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 tv <tv> 1.6.1-4.mga6
+ Revision: 895100
- fix build: exclude some doc

* Wed Oct 15 2014 umeabot <umeabot> 1.6.1-3.mga5
+ Revision: 739827
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.1-2.mga5
+ Revision: 690707
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 tmb <tmb> 1.6.1-1.mga5
+ Revision: 673355
- update to 1.6.1
- drop obsolete strfmt patch

* Tue Oct 22 2013 umeabot <umeabot> 1.5.0-2.mga4
+ Revision: 541785
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 tmb <tmb> 1.5.0-1.mga4
+ Revision: 496461
- update to 1.5.0

* Sat Jan 19 2013 fwang <fwang> 1.3.1-2.mga3
+ Revision: 389790
- specify libxml includedir
- cleanup sepc
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 tmb <tmb> 1.3.1-1.mga2
+ Revision: 220550
- BR docbook-style-xsl
- fix group
- clean spec
- import from fedora

